﻿namespace FileStorage
{
    public interface IFileStorage
    {

        FileMetadata Upload(string fileName, long length, string extraInfo, Stream fileData, string client);

        Task<Uri> GetFileUrlAsync(string id);

        (Stream stream, string contentType,string fileName) DownLoadFile(string id);

        Task<bool> DelFileAsync(string id);
    }
}
